;;;; type-errors-numbers.flonum.scm  -*- Scheme -*-

(module type-errors-numbers.flonum

(;export
  error-flonum error-float
  error-positive-flonum error-non-negative-flonum error-negative-flonum
  error-non-positive-flonum)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(: error-float (* * #!optional * -> noreturn))
(: error-flonum (* * #!optional * -> noreturn))
(: error-positive-flonum (* * #!optional * -> noreturn))
(: error-non-negative-flonum  (* * #!optional * -> noreturn))
(: error-negative-flonum (* * #!optional * -> noreturn))
(: error-non-positive-flonum (* * #!optional * -> noreturn))

(define-error-type flonum)
(define error-float error-flonum)
(define-error-type positive-flonum)
(define-error-type non-negative-flonum)
(define-error-type negative-flonum)
(define-error-type non-positive-flonum)

) ;module type-errors-numbers.flonum
